Get the configuration of the instance

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /config

Get the configuration that Kitsu needs before login: SSO, 2FA, indexer, locale, timezone, theme and movie bitrates. If Sentry is enabled for Kitsu, the response also gives the Sentry settings. You do not need a token for this route.

Responses

  • 200 application/json

    The configuration

    Hide response attributes Show response attributes object
    • is_self_hosted boolean
    • dark_theme_by_default boolean
    • indexer_configured boolean
    • saml_enabled boolean
    • oidc_enabled boolean
    • enforce_2fa boolean
    • preview_accounts_enabled boolean
    • crisp_token string
    • saml_idp_name string
    • oidc_idp_name string
    • default_locale string
    • default_timezone string
    • movie_highdef_bitrate integer
    • movie_lowdef_bitrate integer
    • sentry object
      Hide sentry attributes Show sentry attributes object
      • dsn string
      • sampleRate number
GET /config
curl -X GET "http://api.example.com/config" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/config"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "is_self_hosted": true,
  "dark_theme_by_default": true,
  "indexer_configured": true,
  "saml_enabled": true,
  "oidc_enabled": true,
  "enforce_2fa": true,
  "preview_accounts_enabled": true,
  "crisp_token": "string",
  "saml_idp_name": "string",
  "oidc_idp_name": "string",
  "default_locale": "string",
  "default_timezone": "string",
  "movie_highdef_bitrate": 42,
  "movie_lowdef_bitrate": 42,
  "sentry": {
    "dsn": "string",
    "sampleRate": 42.0
  }
}